> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Documents

> Get the documents for an order



## OpenAPI

````yaml get /v1/order/{id}/documents
openapi: 3.1.0
info:
  title: Nash API
  version: 1.0.0
servers:
  - url: https://api.sandbox.usenash.com
    description: Sandbox API
  - url: https://api.sandbox.ap-southeast-2.usenash.com
    description: Sandbox API (Australia)
  - url: https://api.usenash.com
    description: Production API
  - url: https://api.ap-southeast-2.usenash.com
    description: Production API (Australia)
security: []
tags:
  - name: Notifications
    description: Notifications
    x-nash-topic: config
  - name: Annotate
    description: Annotate
    x-nash-topic: wismo
  - name: Notifications — Send
    description: One-off notification send without a NotificationTrigger.
    x-nash-topic: notifications
  - name: Shipping
    description: Shipping operations
    x-nash-topic: shipping
  - name: Workflow
    description: Workflow automation management
    x-nash-topic: scheduling
  - name: Workflow Execution
    description: Workflow execution history and monitoring
    x-nash-topic: scheduling
  - name: Optimization Strategies
    description: Create, read, update, and delete route optimization strategies.
    x-nash-topic: scheduling
  - name: AI Agents
    description: AI agent management — create, read, update, and delete agents
    x-nash-topic: config
  - name: AI Functions
    description: LLM-backed domain tools
    x-nash-topic: ai
  - name: Webhooks
    description: Webhook delivery inspection
    x-nash-topic: webhooks
  - name: Fleet Simulator
    description: Simulate delivery status transitions in dev and sandbox environments.
    x-nash-topic: testing
  - name: Miscellaneous
    description: Miscellaneous
  - name: Job
    description: Job
    x-nash-topic: wismo
  - name: Batch Job
    description: Batch Job
    x-nash-topic: wismo
  - name: Order
    description: Order
    x-nash-topic: wismo
  - name: Route
    description: Route
    x-nash-topic: scheduling
  - name: Provider
    description: Provider
    x-nash-topic: provider
  - name: Dispatch Strategies
    description: Dispatch Strategies
    x-nash-topic: scheduling
  - name: Store Locations
    description: Store Locations
    x-nash-topic: config
  - name: Vehicles
    description: Vehicles
    x-nash-topic: provider
  - name: Couriers
    description: Couriers
    x-nash-topic: provider
  - name: Shifts
    description: Shifts
    x-nash-topic: provider
  - name: Delivery Windows
    description: Delivery Windows
    x-nash-topic: config
  - name: Templates
    description: Templates
    x-nash-topic: config
  - name: Zones
    description: Zones
    x-nash-topic: config
  - name: Feedback
    description: Feedback
    x-nash-topic: reporting
  - name: Organizations
    description: Organizations
    x-nash-topic: config
  - name: Store Catalog
    description: Store Catalog
    x-nash-topic: config
  - name: Messaging
    description: Messaging
    x-nash-topic: config
  - name: Contracts
    description: Provider contract pricing and version listings
    x-nash-topic: provider
  - name: Event Timeline
    description: Entity-scoped event timeline + outbound provider traffic for one entity.
    x-nash-topic: internal
  - name: Fleet
    description: Inbound endpoints fleets call to update in-flight deliveries.
    x-nash-topic: delivery
  - name: Route Restrictions
    description: Org-scoped geographic areas the route optimizer must avoid traversing.
    x-nash-topic: config
  - name: Users
    description: User, role, and organization-membership management.
    x-nash-topic: config
paths:
  /v1/order/{id}/documents:
    get:
      tags:
        - Order
      summary: Get order documents
      description: >-
        Retrieve documents associated with an order such as shipping labels or
        proof of delivery. Set load_data=true to include the document content in
        the response.
      operationId: get_order_documents_v1_order__string_id__documents_get
      parameters:
        - name: id
          in: path
          description: >-
            Unique reference number for the order: either order.id (starts with
            "ord_") or order.externalId
          required: true
          schema:
            title: Id
            type: string
            description: >-
              Unique reference number for the order: either order.id (starts
              with "ord_") or order.externalId
            example: ord_1234567890
          example: ord_1234567890
        - name: loadData
          in: query
          description: >-
            Whether to load the document data and return it as part of the
            response.
          required: true
          schema:
            title: Loaddata
            type: boolean
            description: >-
              Whether to load the document data and return it as part of the
              response.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderDocumentResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NashValidationError'
components:
  schemas:
    OrderDocumentResponse:
      title: OrderDocumentResponse
      type: array
      items:
        $ref: '#/components/schemas/OrderDocumentOutput'
    NashValidationError:
      title: NashValidationError
      required:
        - error
        - response_status
        - RequestID
      type: object
      properties:
        error:
          $ref: '#/components/schemas/NashErrorDetails'
        response_status:
          title: Response Status
          type: string
        RequestID:
          title: Requestid
          type: string
    OrderDocumentOutput:
      title: OrderDocumentOutput
      required:
        - createdAt
        - id
        - type
        - contentType
      type: object
      properties:
        createdAt:
          title: Createdat
          type: string
          description: The date and time when the document was created
          format: date-time
          example: '2023-08-29T19:17:46.264523'
        id:
          title: Id
          type: string
          description: The id of the document
          example: doc_1234567890
        type:
          $ref: '#/components/schemas/DocumentType'
          description: The type of the document
          example: shipping_label
        contentType:
          title: Contenttype
          type: string
          description: The content type of the document
          example: application/pdf
        url:
          title: Url
          anyOf:
            - type: string
            - type: 'null'
          description: The URL of the document
          default: null
          example: https://example.com/document.pdf
        data:
          title: Data
          anyOf:
            - type: string
            - type: 'null'
          description: The data of the document
          default: null
          example: SGVsbG8gd29ybG=
      description: Document object returned by the API.
    NashErrorDetails:
      title: NashErrorDetails
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
        details:
          title: Details
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          default: null
    DocumentType:
      title: DocumentType
      enum:
        - shipping_label
        - pickup_label
        - manifest
        - packing_slip_label
        - proof_of_delivery
      type: string

````